Package org.gradle.api.provider

## Interface ValueSourceSpec<P extends ValueSourceParameters>

- Type Parameters:
    `P` - The value source specific parameter type.

      @Incubating
      public interface ValueSourceSpec<P extends ValueSourceParameters>

  Base configuration for value source definitions.
  Since:
    6.1
  See Also:
    `ProviderFactory.of(Class, Action)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `P` | `getParameters()` | The parameters for the value source.
    `void` | `parameters​(Action<? super P> action)` | Configure the parameters for the value source.

- - ### Method Detail

    - #### getParameters

          P getParameters()

      The parameters for the value source.
      See Also:
        `ProviderFactory.of(Class, Action)`

    - #### parameters

          void parameters​(Action<? super P> action)

      Configure the parameters for the value source.
      See Also:
        `ProviderFactory.of(Class, Action)`